package ru.dbotthepony.kstarbound.world.entities

import ru.dbotthepony.kstarbound.math.AABB
import ru.dbotthepony.kstarbound.math.Vector2d
import ru.dbotthepony.kstarbound.world.World

open class Humanoid(world: World<*>) : AliveEntity(world) {
	override val aabb = AABB.rectangle(Vector2d.ZERO, 1.8, 3.7)
	override val collisionResolution = CollisionResolution.SLIDE
}
